<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>toDoApp</title>
    <script>
        function myfun()
        {
         var n=document.getElementById("de").value;
         if(n.length==0){
        alert("it is null");
        }
        else{
         var li = document.getElementById("de1");
         const a=document.createElement('li');
         a.appendChild(document.createTextNode(n));
         var x=localStorage.getItem("Anandika");
         
if(x!= null){
    var y=JSON.parse(x);
    y.push(n);
    localStorage.setItem("Anandika", JSON.stringify(y)); 
}
 
else{
var array1= [];
array1.push(n);

localStorage.setItem("Anandika", JSON.stringify(array1)); 
}


  li.appendChild(a);
  
        }
        }
        function display()
        {
            var vari=localStorage.getItem("Anandika")
            var vari1=JSON.parse(vari)
            for(var i=0;i<vari1.length;i++)
            {
                var li = document.getElementById("de1");
         const a=document.createElement('li');
         a.appendChild(document.createTextNode(vari1[i]));
         li.appendChild(a);
            }
        }

        </script>
</head>
<body onload="display()">
<style>
    .div2{
        padding-top:-5px ;
        color:white;
        width:auto;
        height:80px;
        background-color: blue;
        margin-left: 100px;
        margin-right: 100px;
    }
    .div1{
        /*text-align: center;*/
        display:flex;
        justify-content: center;
       margin-top: -100px;
        padding-top: -5px;
        color: white;
    }
    a{
        
        color: white;
        
    }
    .div3
    {
       
        
        display:flex;
        justify-content: center;
        
    }
    .text
    {
        margin-top: 10px;
        margin-left: 50px;
        
    }
    div{
        border-style:solid;
        border-color: grey;
        border-radius: 10px;
        margin-top: 50px;
        width:500px;
        margin-left: 250px;
        height:50px;
    }
    .btn{
        background-color: blue;
        margin-left: 50px;

    }
    .box{
        border-style:solid;
        border-color: grey;
        border-radius: 10px;
        margin-top: 50px;
        width:500px;
        margin-left: 250px;
        height:500px;
        font-size: 20px;
    

    }
    .text3{
        margin-top:50px;
        margin-left: 100px;
    }
    ul{
        list-style: none;
    }
    li{
        width:200px;
        height:100px;
        border-radius: 10px;
        border:1px grey solid;
        margin-top: 20px;
        text-align: center;
    }

    </style>
    
        <header>
            
       <h1 class="div2">toDoApp;</h1>
        <h2 class="div1">Anandika Bhargavan </h2>
        <a href="signout.html" class="div3" style=margin-left:1000px;margin-top:-35px>Signout</a></div>
        
</header><br><br>
<div>

<input type="text" class="text" id="de" placeholder="enterToDo">
<button type="button" class="btn" onclick="myfun()">Submit</button>
</div>
<div class="box">
    <h1 style="font-size:30px ;" >the Todos;</h1>
    <ul id="de1">
</ul>    
</div>
</body>
</html>